<layout-profile-info-card [isLoading]="isLoading$ | async">
  <div
    class="profile-info"
    *ngIf="preCustomerProfile$ | async as preCustomerProfile"
  >
    <div class="profile-info__data">
      <div class="customer-data">
        <h2 class="customer-data__name">
          <b>{{ preCustomerProfile?.display_name }}</b>
        </h2>
      </div>
      <div class="ids">
        <p class="item">
          <span class="item__title">
            {{
              "CUSTOMERS.PRE_CUSTOMER_PROFILE.INFO.PRE_CUSTOMER_ID" | translate
            }}:
          </span>
          <span class="item__description">
            <b>{{ preCustomerProfile?.reference }}</b>
          </span>
        </p>
      </div>
    </div>
    <div class="profile-info__dates">
      <p class="item">
        <span class="item__title">
          <b>
            {{ "CUSTOMERS.PRE_CUSTOMER_PROFILE.INFO.CREATED_AT" | translate }}
          </b>
        </span>
        <span class="item__description">
          {{ preCustomerProfile?.created_at | MODate }}
        </span>
      </p>
      <p class="item">
        <span class="item__title">
          <b>
            {{ "CUSTOMERS.PRE_CUSTOMER_PROFILE.INFO.UPDATED_AT" | translate }}
          </b>
        </span>
        <span class="item__description">
          {{ preCustomerProfile?.updated_at | MODate }}
        </span>
      </p>
    </div>
  </div>
</layout-profile-info-card>
